jQuery(window).ready(function(){

    /* Saved Variables */
    var ibl_page_id = jQuery('.ibl-box').attr('data-page-id');
    var ibl_page_url = jQuery('.ibl-box').attr('data-page-request');
    var ibl_page_keyphrase = localStorage.getItem('ibl_keyphrase_'+ibl_page_id);


    /*
     * Open the IBL box
     */

    jQuery('.internal-backlink-toggle').on('click', function(){
        jQuery('.internal-backlink-checker').addClass('active');
        jQuery('.ibl-keyphrase input').select();
        jQuery(this).addClass('ibl-showing');

        if(ibl_page_keyphrase){
            ibl_load_potential_links(ibl_page_id,ibl_page_url);
        }    

    })

    /*
     * Controls for search input
     */

    jQuery('body').on('keyup', '.ibl-box input', function(e){
        if(e.key === 'Enter'){
            var keyphrase = jQuery(this).val();
            localStorage.setItem('ibl_keyphrase_'+ibl_page_id, keyphrase);
            ibl_load_potential_links(ibl_page_id,ibl_page_url);
        }
    })

    /*
     * Function that runs to load potential links
     */

    function ibl_load_potential_links(ibl_page_id, ibl_page_url){
        var ibl_page_keyphrase = localStorage.getItem('ibl_keyphrase_'+ibl_page_id).toLowerCase();
        jQuery('#ibl-results .ibl-keyphrase').hide();
        jQuery('#ibl-results .ibl-scroll, #ibl-results .meta').remove();
        jQuery('.ibl-box #ibl-results').append('<div class="ibl-loading-box"><div class="ibl-loading-notice"><div class="ibl-loader"></div>Finding posts containing the keyphrase:<span class="ibl-keyword">'+ibl_page_keyphrase+'</span></div><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div><div class="ibl-loading-box"><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div><div class="ibl-loading-box"><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div>');


        jQuery.ajax({
            url: '/wp-admin/admin-ajax.php',
            type: 'post',
            data: { action: 'ibl_show_results',
                    ibl_page_keyphrase: ibl_page_keyphrase,
                    request: ibl_page_url,
                    currentID: ibl_page_id
                    },
            success: function(ibl_show_results){
                jQuery('.ibl-box .ibl-search-area').addClass('searched');
                jQuery('#ibl-results .ibl-loading-box').remove();
                jQuery('.ibl-box #ibl-results').append(ibl_show_results);
                var meta_padding = jQuery('.meta').outerHeight();
                jQuery('.meta-padding').css({'padding-top': meta_padding})
            }
        });
    }

    /*
    * Close Internal Link Finder
    */
    jQuery('.ibl-close').on('click', function(){
        jQuery('.internal-backlink-checker').removeClass('active')
        jQuery('.internal-backlink-toggle').removeClass('ibl-showing');
        jQuery('#ibl-results .ibl-scroll, #ibl-results .meta').remove();
    })

    /*
     * Change Tabs
     */
    jQuery('body').on('click','.ibl-tab', function(){
	    var tab = jQuery(this).attr('data-tab');
	    jQuery(this).addClass('active');
	    jQuery(this).siblings().removeClass('active');
	    jQuery('.ibl-tabs-content .ibl-tab-content').removeClass('active'); 
	    jQuery('.ibl-tabs-content #'+tab).addClass('active');

        if(tab == 'ibl-results' && ibl_page_keyphrase){
            jQuery('.ibl-keyphrase input').select();
            ibl_load_potential_links(ibl_page_id, ibl_page_url);
        }

        if(tab == 'ibl-current'){
            ibl_current_link_update();
        }
    })

    /*
     * Function which runs to load the current links
     */
    function ibl_current_link_update(){
        jQuery('.ibl-box .ibl-current-links').empty().prepend('<div class="ibl-loading-box"><div class="ibl-loading-notice"><div class="ibl-loader"></div>Finding posts linking to url:<span class="ibl-keyword">'+ibl_page_url+'</span></div><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div><div class="ibl-loading-box"><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div><div class="ibl-loading-box"><div class="ibl-loading"></div><div class="ibl-loading"></div><div class="ibl-loading"></div></div>');
        jQuery.ajax({
            url: '/wp-admin/admin-ajax.php',
            type: 'post',
            data: { action: 'ibl_current_link_update',
                    page_id: ibl_page_id,
                    request: ibl_page_url
                    },
            success: function(ibl_current_link_update){
                jQuery('.ibl-box .ibl-current-links').html(ibl_current_link_update);
            }
        });
    }


    /*
    * Re-enter keyphrase
    */
    jQuery('body').on('click', '.update-keyphrase', function(e){
        jQuery('#ibl-results > *:not(.ibl-keyphrase)').remove();
        jQuery('#ibl-results .ibl-keyphrase').show()
        jQuery('#ibl-results .ibl-keyphrase input').select();
    })

});
