<?php function ibl_current_link_update($ids_only){
	/* Setup variables */
	$request = $_POST['request'];
	$page_relative_urls = ibl_get_possible_page_links($request);
	$page_id = intval($_POST['page_id']);
	$args = array(
	'post_type' => get_post_types(array('public' => true)), 
	'posts_per_page' => -1, 
	'post__not_in' => array($page_id),
	'post_status' => 'publish',
	);
	
	$query = new WP_Query($args);
	$link_counter = 0;
	
	while($query->have_posts()): $query->the_post();
		
		foreach($page_relative_urls as $url):
			global $post;
			$acf_content = strtolower(ibl_get_acf_content());
			$url = strtolower($url);
			$content = strtolower(get_the_content());
			$content = ibl_get_block_content($content);

			if(strpos($content, $url) !== false || strpos($acf_content, $url) !== false):
					$link_counter++; ?>
					<?php if($ids_only == true):
						$page_ids[] = get_the_id();
					else: ?>
					<div class="ibl-result">
						<a href="<?php echo get_edit_post_link(); ?>" target="_blank">
							<h3><?php the_title(); ?></h3>
							<div class="permalink"><?php the_permalink(); ?></div>
							<div class="anchor-text-title">Anchor Text(s)</div>
							<div class="anchor-text">
								<?php ibl_get_content_anchor_links($page_relative_urls, $content); ?>
								<?php ibl_get_acf_anchor_links($page_relative_urls, $acf_content); ?>
							</div>
						</a>
					</div>
					<?php endif; ?>
			<?php endif;
		endforeach;

	endwhile;
						
	if($link_counter == 0 && $ids_only !== true): ?>
		<div class="ibl-error">There are currently no internal backlinks to this page. To improve SEO of this page, add internal backlinks from relevant pages.</div>
	<?php endif;

		if($ids_only == true):
			return $page_ids;
		endif;

	wp_reset_postdata();
	die();		
}
add_action('wp_ajax_ibl_current_link_update', 'ibl_current_link_update');
add_action('wp_ajax_nopriv_ibl_current_link_update', 'ibl_current_link_update');